← Tabellen
Zurücksetzen

Scotland

East Region League Division 3

#TeamPWDLPDBPPtsForm
1Royal High RFC4400+279420WWWW
2Duns RFC5401+95420WWWWL
3Edinburgh University Medics6402+35218WLWWW
4Trinity Academicals RFC4202+11311LWLW
5Lismore RFC5203-7238WLLLW
6Caledonian Thebans RFC6006-22341LLLLL
7Penicuik RFC3003-13120LLL
8Inverleith RFC3201+620LWW

Quelle: Scottish Rugby · geprüft 17. Okt., 23:20 · Form: die letzten fünf Ergebnisse, die wir haben, das neueste rechts.

Spiele & Ergebnisse →

Jede Tabelle ist die von der Liga selbst veröffentlichte Wertung, mit Bonuspunkten, Abzügen und Entscheidungskriterien. BP steht dort, wo die Liga ihn ausweist; sonst ist er in Pts enthalten.